/*************************************************************************
 *
 * Dalkove ovladani mericich pristroju v SRD pasmu
 * Bakalarska prace, UREL FEKT VUT v Brne
 * (c) 2006, 2007 Ales Povalac, <alpov@alpov.net>, http://www.alpov.net/
 *
 * $Id: testing.cpp 95 2007-03-18 18:21:02Z alpov $
 *
 *************************************************************************/

//---------------------------------------------------------------------------


#pragma hdrstop

#include <string.h>
#include "comm.h"
#include "testing.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)


void TestingSendStr(INTERFACE_PORT *port, char *s, int timeout)
{
    PACKET p;
    int result;

    p.command = CMD_SEND;
    memcpy(&p.port, port, sizeof(port));
    p.timeout = timeout;
    strcpy((char*)(&p.data), s);

    transmit_packet(&p, strlen(s));
}


void TestingSendPing(bool slave, char *s)
{
    PACKET p;

    p.command = slave ? CMD_WPING : CMD_LPING;
    p.port.mux = 0;
    p.timeout = 0;
    strcpy((char*)(&p.data), s);

    transmit_packet(&p, strlen(s));
}



