/*************************************************************************
 *
 * Dalkove ovladani mericich pristroju v SRD pasmu
 * Bakalarska prace, UREL FEKT VUT v Brne
 * (c) 2006, 2007 Ales Povalac, <alpov@alpov.net>, http://www.alpov.net/
 *
 * $Id: MainUnit.h 117 2007-04-15 18:49:20Z alpov $
 *
 *************************************************************************/

//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Graphics.hpp>
#include <jpeg.hpp>
#include <Buttons.hpp>
#include "CPort.hpp"
#include "CPortCtl.hpp"
#include "vcl\Clipbrd.hpp"
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
    TTimer *TimerCont;
    TPanel *PanelBottom;
    TMemo *txbLog;
    TPanel *PanelTop;
    TPanel *PanelCenter;
    TPageControl *PageControl;
    TTabSheet *tabTest;
    TTabSheet *tabSG2000;
    TTabSheet *tabVR5000;
    TLabel *Label5;
    TLabel *Label7;
    TLabel *Label8;
    TLabel *Label12;
    TLabel *Label13;
    TEdit *txbKmitocetElsy;
    TLabel *Label15;
    TComboBox *cmbKrokElsy;
    TEdit *txbUroven;
    TLabel *Label16;
    TEdit *txbRozmitani;
    TLabel *Label19;
    TImage *ImageSG2000;
    TImage *ImageVR5000;
    TSpeedButton *btnKmitocetElsyIn;
    TSpeedButton *btnKmitocetElsyOut;
    TSpeedButton *btnUrovenOut;
    TSpeedButton *btnUrovenIn;
    TLabel *Label14;
    TEdit *txbKmitocetYaesu;
    TLabel *Label20;
    TSpeedButton *btnKmitocetYaesuOut;
    TLabel *Label22;
    TComboBox *cmbModulace;
    TLabel *Label23;
    TComboBox *cmbKrokYaesu;
    TSpeedButton *btnRezimOut;
    TLabel *Label24;
    TLabel *Label25;
    TEdit *txbSMetr;
    TSpeedButton *btnYaesuIn;
    TGroupBox *GroupBox1;
    TGroupBox *GroupBox2;
    TLabel *Label2;
    TLabel *Label4;
    TLabel *lblRecv;
    TLabel *lblSend;
    TButton *btnLPING;
    TButton *btnWPING;
    TGroupBox *GroupBox4;
    TButton *btnOpenCloseCom;
    TComPort *ComPort;
    TComComboBox *cmbComPort;
    TComLed *ComLed1;
    TComLed *ComLed2;
    TComLed *ComLed3;
    TLabel *Label32;
    TEdit *txbDelayCont;
    TLabel *Label35;
    TGroupBox *GroupBox5;
    TLabel *Label26;
    TComboBox *cmbLength;
    TLabel *Label33;
    TMemo *txbData;
    TButton *btnDataChar;
    TButton *btnDataNumber;
    TButton *btnDataRandom;
    TLabel *Label1;
    TButton *btnWPINGStartStop;
    TGroupBox *GroupBox6;
    TLabel *Label3;
    TLabel *Label6;
    TButton *btnSEND;
    TComboBox *cmbMux;
    TEdit *txbTimeout;
    TLabel *Label27;
    TComboBox *cmbElsyMux;
    TTabSheet *tabZoneMeasuring;
    TLabel *Label41;
    TLabel *Label42;
    TComboBox *cmbZoneElsyMux;
    TComboBox *cmbZoneYeasuMux;
    TLabel *Label37;
    TComboBox *cmbBaudrate;
    TLabel *Label38;
    TComboBox *cmbDatabits;
    TLabel *Label39;
    TComboBox *cmbStopbits;
    TLabel *Label40;
    TComboBox *cmbParity;
    TButton *btnYaesuOn;
    TButton *btnYaesuOff;
    TLabel *Label28;
    TCheckBox *chkSubVfo;
    TButton *btnVypnoutModulaci;
    TSpeedButton *btnKrokElsyOut;
    TSpeedButton *SpeedButton3;
    TSpeedButton *SpeedButton4;
    TSpeedButton *btnRozmitaniIn;
    TSpeedButton *btnRozmitaniOut;
    TSpeedButton *btnKrokElsyIn;
    TEdit *txbSquelch;
    TComboBox *cmbYaesuMux;
    TLabel *Label11;
    TLabel *Label17;
    TEdit *txbZoneLevel;
    TComboBox *cmbZoneStep;
    TLabel *Label29;
    TButton *btnZoneStart;
    TMemo *txbZoneLog;
    TLabel *lblMeasuring;
    TSpeedButton *SpeedButton1;
    TEdit *txbCount;
    TLabel *Label9;
    void __fastcall btnOpenCloseComClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall TimerContTimer(TObject *Sender);
    void __fastcall btnDataCharClick(TObject *Sender);
    void __fastcall btnDataNumberClick(TObject *Sender);
    void __fastcall btnDataRandomClick(TObject *Sender);
    void __fastcall ComPortAfterClose(TObject *Sender);
    void __fastcall ComPortAfterOpen(TObject *Sender);
    void __fastcall ComPortRxChar(TObject *Sender, int Count);
    void __fastcall btnWPINGStartStopClick(TObject *Sender);
    void __fastcall cmbLengthCloseUp(TObject *Sender);
    void __fastcall btnSENDClick(TObject *Sender);
    void __fastcall btnLPINGClick(TObject *Sender);
    void __fastcall btnWPINGClick(TObject *Sender);
    void __fastcall btnKmitocetYaesuOutClick(TObject *Sender);
    void __fastcall btnRezimOutClick(TObject *Sender);
    void __fastcall btnYaesuInClick(TObject *Sender);
    void __fastcall btnKmitocetElsyInClick(TObject *Sender);
    void __fastcall btnKmitocetElsyOutClick(TObject *Sender);
    void __fastcall btnUrovenInClick(TObject *Sender);
    void __fastcall btnUrovenOutClick(TObject *Sender);
    void __fastcall btnYaesuOnOffClick(TObject *Sender);
    void __fastcall btnKrokElsyInClick(TObject *Sender);
    void __fastcall btnKrokElsyOutClick(TObject *Sender);
    void __fastcall btnRozmitaniInClick(TObject *Sender);
    void __fastcall btnRozmitaniOutClick(TObject *Sender);
    void __fastcall btnVypnoutModulaciClick(TObject *Sender);
    void __fastcall btnZoneStartClick(TObject *Sender);
    void __fastcall SpeedButton1Click(TObject *Sender);
private:	// User declarations
    int FSend;
    int FRecv;
    void SendPacket(PACKET *ph, unsigned char len);
    void UpdateCounterLabels(void);
public:		// User declarations
    __fastcall TfrmMain(TComponent* Owner);
    void Log(AnsiString s);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
